<?php

namespace App\Http\Controllers;

use App\Models\turmas;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

class TurmasController extends Controller
{
    public function index()
    {

        if (Auth::user()->id_escola == 0) {
            $turmas = turmas::all();
        } else {
            $turmas = turmas::where('id_escola', Auth::user()->id_escola)->get();
        }

        return view('escolas.turmas', compact('turmas'));
    }

    public function createOrUpdate(Request $request)
    {
        $turma = turmas::where('nome', '=', $request->turma_nome)->count();
        if ($turma == 0) {
            try {
                $turma = new turmas();
                $turma->id_escola = $request->id_escola;
                $turma->nome = $request->turma_nome;
                $turma->descricao = $request->turma_descricao;
                $turma->id_whatsapp = $request->id_whatsapp;
                $turma->save();
                return redirect()->route('turmas')->with('success', 'Turma Criada|Atualizada com sucesso.');
            } catch (\Throwable $th) {
                dd($th);
            }
        } else {
            try {
                turmas::where('nome', $request->turma_nome)->update([
                    'nome' => $request->turma_nome,
                    'descricao' => $request->turma_descricao,
                    'id_escola' => $request->id_escola,
                    'id_whatsapp' => $request->id_whatsapp,
                ]);
                return redirect()->route('turmas')->with('success', 'Turma Criada|Atualizada com sucesso.');
            } catch (\Throwable $th) {
                //throw $th;
            }
        }
    }

    public function detalhes ($id) {
        $turma = turmas::findOrFail($id);
        return view('escolas.turmas_detalhes', compact('turma'));
    }
}
